# Generated by Django 3.2.13 on 2022-07-18 12:05

from django.db import migrations, models
import django.db.models.deletion
import karrio.server.core.utils as utils


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    APILog = apps.get_model("core", "APILog")
    APILogIndex = apps.get_model("core", "APILogIndex")
    logs = APILog.objects.using(db_alias).filter(response__isnull=False).iterator()

    for log in logs:
        response = utils.failsafe(
            lambda: utils.DP.to_dict(utils.DP.to_dict(log.response))
        )
        entity_id = utils.failsafe(lambda: response["id"])

        if entity_id is not None:
            _index = APILogIndex(
                apirequestlog_ptr=log,
                entity_id=entity_id,
            )
            _index.save_base(raw=True)

        if isinstance(response, dict):
            log.response = utils.DP.jsonify(response)
            log.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("rest_framework_tracking", "0011_auto_20201117_2016"),
        ("core", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="APILogIndex",
            fields=[
                (
                    "apirequestlog_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="rest_framework_tracking.apirequestlog",
                    ),
                ),
                (
                    "entity_id",
                    models.CharField(db_index=True, max_length=50, null=True),
                ),
            ],
            options={
                "verbose_name": "API Request Log",
                "abstract": False,
            },
            bases=("core.apilog",),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
