# Generated by Django 3.2.14 on 2022-08-17 00:13

from django.db import migrations, models
import karrio.server.core.fields
import karrio.server.providers.models.carrier


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Carrier = apps.get_model("providers", "Carrier")

    for carrier in Carrier.objects.using(db_alias).all().iterator():
        carrier.capabilities = list(set([*carrier.capabilities, "paperless"]))
        carrier.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("providers", "0034_amazonmwssettings_dpdhlsettings"),
    ]

    operations = [
        migrations.AlterField(
            model_name="carrier",
            name="capabilities",
            field=karrio.server.core.fields.MultiChoiceField(
                choices=[
                    ("pickup", "pickup"),
                    ("rating", "rating"),
                    ("shipping", "shipping"),
                    ("tracking", "tracking"),
                    ("paperless", "paperless"),
                ],
                default=karrio.core.units.CarrierCapabilities.get_capabilities,
                help_text="Select the capabilities of the carrier that you want to enable",
            ),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
