# Generated by Django 4.1.7 on 2023-03-19 18:51

from django.db import migrations, models
import functools
import karrio.server.core.models


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    ServiceLevel = apps.get_model("providers", "ServiceLevel")

    for _service in ServiceLevel.objects.using(db_alias).all().iterator():
        _service.zones = [dict(rate=_service.cost)]
        _service.transit_days = _service.estimated_transit_days

        _service.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("providers", "0047_dpdsettings"),
    ]

    operations = [
        migrations.AddField(
            model_name="servicelevel",
            name="min_weight",
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="servicelevel",
            name="transit_days",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="servicelevel",
            name="transit_time",
            field=models.FloatField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="servicelevel",
            name="zones",
            field=models.JSONField(
                blank=True,
                default=functools.partial(
                    karrio.server.core.models._identity, *(), **{"value": []}
                ),
                null=True,
            ),
        ),
        migrations.RunPython(forwards_func, reverse_func),
        migrations.RemoveField(
            model_name="servicelevel",
            name="cost",
        ),
        migrations.RemoveField(
            model_name="servicelevel",
            name="estimated_transit_days",
        ),
    ]
