# Generated by Django 4.1.7 on 2023-04-02 08:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        (
            "providers",
            "0048_servicelevel_min_weight_servicelevel_transit_days_and_more",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="BoxKnightSettings",
            fields=[
                (
                    "carrier_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="providers.carrier",
                    ),
                ),
                ("username", models.CharField(max_length=50)),
                ("password", models.CharField(max_length=50)),
            ],
            options={
                "verbose_name": "BoxKnight Settings",
                "verbose_name_plural": "BoxKnight Settings",
                "db_table": "boxknight-settings",
            },
            bases=("providers.carrier",),
        ),
        migrations.CreateModel(
            name="GEODISSettings",
            fields=[
                (
                    "carrier_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="providers.carrier",
                    ),
                ),
                ("api_key", models.CharField(max_length=100)),
                ("identifier", models.CharField(max_length=50)),
                ("language", models.CharField(default="fr", max_length=10, null=True)),
            ],
            options={
                "verbose_name": "GEODIS Settings",
                "verbose_name_plural": "GEODIS Settings",
                "db_table": "geodis-settings",
            },
            bases=("providers.carrier",),
        ),
        migrations.CreateModel(
            name="LaPosteSettings",
            fields=[
                (
                    "carrier_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="providers.carrier",
                    ),
                ),
                ("api_key", models.CharField(max_length=100)),
                ("lang", models.CharField(default="fr_FR", max_length=10, null=True)),
            ],
            options={
                "verbose_name": "LaPoste Settings",
                "verbose_name_plural": "LaPoste Settings",
                "db_table": "laposte-settings",
            },
            bases=("providers.carrier",),
        ),
        migrations.CreateModel(
            name="NationexSettings",
            fields=[
                (
                    "carrier_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="providers.carrier",
                    ),
                ),
                ("api_key", models.CharField(max_length=100)),
                ("customer_id", models.CharField(max_length=50)),
                (
                    "billing_account",
                    models.CharField(blank=True, max_length=50, null=True),
                ),
                ("language", models.CharField(default="en", max_length=10, null=True)),
            ],
            options={
                "verbose_name": "Nationex Settings",
                "verbose_name_plural": "Nationex Settings",
                "db_table": "nationex-settings",
            },
            bases=("providers.carrier",),
        ),
        migrations.CreateModel(
            name="RoadieSettings",
            fields=[
                (
                    "carrier_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="providers.carrier",
                    ),
                ),
                ("api_key", models.CharField(max_length=100)),
            ],
            options={
                "verbose_name": "Roadie Settings",
                "verbose_name_plural": "Roadie Settings",
                "db_table": "roadie-settings",
            },
            bases=("providers.carrier",),
        ),
        migrations.AlterField(
            model_name="dicomsettings",
            name="billing_account",
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name="dicomsettings",
            name="password",
            field=models.CharField(max_length=50),
        ),
        migrations.AlterField(
            model_name="dicomsettings",
            name="username",
            field=models.CharField(max_length=50),
        ),
    ]
