# Generated by Django 4.1.7 on 2023-04-16 08:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import functools
import karrio.server.core.models
import karrio.server.core.models.base


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Carrier = apps.get_model("providers", "Carrier")

    (
        Carrier.objects.using(db_alias)
        .filter(created_by__isnull=True)
        .update(is_system=True)
    )


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("providers", "0049_boxknightsettings_geodissettings_lapostesettings_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="carrier",
            name="is_system",
            field=models.BooleanField(
                db_index=True,
                default=False,
                help_text="Determine that the carrier connection is available system wide.",
            ),
        ),
        migrations.AlterField(
            model_name="carrier",
            name="metadata",
            field=models.JSONField(
                blank=True,
                default=functools.partial(
                    karrio.server.core.models._identity, *(), **{"value": {}}
                ),
                help_text="User defined metadata",
                null=True,
            ),
        ),
        migrations.CreateModel(
            name="CarrierConfig",
            fields=[
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "id",
                    models.CharField(
                        default=functools.partial(
                            karrio.server.core.models.base.uuid,
                            *(),
                            **{"prefix": "cfg_"}
                        ),
                        editable=False,
                        max_length=50,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "config",
                    models.JSONField(
                        default=functools.partial(
                            karrio.server.core.models._identity, *(), **{"value": {}}
                        )
                    ),
                ),
                (
                    "carrier",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="configs",
                        to="providers.carrier",
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Carrier Config",
                "verbose_name_plural": "Carrier Configs",
                "db_table": "carrier-config",
                "ordering": ["-created_at"],
            },
            bases=(karrio.server.core.models.base.ControlledAccessModel, models.Model),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
